#ifndef _Pensas_HPP_
#define _Pensas_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"
#include "../catmullrom.hpp"

class PensasParticle
{
public:
    float st, et;
    float point;
    Vector pos;
};

class Oksa
{
public:
    CatmullRom *polku;
    int pcount;
    PensasParticle *particles;
    Vector color;

    float st, et;

};

class PensasKasvi
{
public:
    int oksacount;
    Oksa **oksat;

};

class Pensas : public Base
{
	public:

		Pensas();
		~Pensas();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int kcount;
        PensasKasvi *kasvi;
		void renderScene(float pos, float alpha);
};

#endif

